Extending Qt Creator Manual | ConvertToString

Extending Qt Creator Manual 4.4.0

# ConvertToString Class

(QmlJS::ConvertToString)

Inherits: | QmlJS::ValueVisitor (protected)

- List of all members, including inherited members

## Public Functions

| ConvertToString(ValueOwner *valueOwner)
const Value * | operator()(const Value *value)

- 11 public functions inherited from QmlJS::ValueVisitor

## Protected Functions

const Value * | switchResult(const Value *value)

## Reimplemented Protected Functions

virtual void | visit(const NullValue *) override
virtual void | visit(const UndefinedValue *) override
virtual void | visit(const NumberValue *) override
virtual void | visit(const BooleanValue *) override
virtual void | visit(const StringValue *) override
virtual void | visit(const ObjectValue *) override
virtual void | visit(const FunctionValue *) override

## Member Function Documentation

### ConvertToString::ConvertToString(ValueOwner *valueOwner)

Default constructs an instance of ConvertToString.

### `[protected]` const Value *ConvertToString::switchResult(const Value *value)

### `[override virtual protected]` void ConvertToString::visit(const NullValue *)

### `[override virtual protected]` void ConvertToString::visit(const UndefinedValue *)

### `[override virtual protected]` void ConvertToString::visit(const NumberValue *)

### `[override virtual protected]` void ConvertToString::visit(const BooleanValue *)

### `[override virtual protected]` void ConvertToString::visit(const StringValue *)

### `[override virtual protected]` void ConvertToString::visit(const ObjectValue *)

### `[override virtual protected]` void ConvertToString::visit(const FunctionValue *)

### const Value *ConvertToString::operator()(const Value *value)